#
# spec file for package zimg
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zimg
Version:        5.0.0
Release:        240.3
Summary:        Display 2-D data of arbitrary format
License:        BSD-3-Clause
Group:          Productivity/Graphics/Visualization/Graph
Url:            http://sourceforge.net/projects/zimg/
Source0:        http://sourceforge.net/projects/zimg/files/zimg/zimg-%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.changes
Patch0:         %{name}-%{version}.patch
Patch1:         zimg-automake-1.13.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  freetype2-devel
BuildRequires:  gd-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  xorg-x11
BuildRequires:  xorg-x11-devel
Requires:       ImageMagick
Requires:       gd >= 1.8.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
zimg generates png images from arbitrary formatted f(x,y) data. Both
plain unformatted ascii and a variety of binary input formats are
supported. Output options include variable logarithmic color mapping
VLCM and contour graphics and lots of color maps. zimg is a fast
converter.

%prep
%setup -q
%patch0
%patch1 -p1
# Do not include build time
modified="$(sed -n '/^----/n;s/ - .*$//;p;q' "%{SOURCE1}")"
DATE="\"$(date -d "${modified}" "+%%b %%e %%Y")\""
TIME="\"$(date -d "${modified}" "+%%R")\""
find .  -name '*.[ch]' |\
    xargs sed -i "s/__DATE__/${DATE}/g;s/__TIME__/${TIME}/g"

%build
autoreconf -fi
%configure \
	--with-gd-includes=%{_includedir}/ \
        --with-x-viewer=display \
        --with-gd-lib=%{_libdir} \
        --with-jpeg-lib=%{_libdir}
make xpm_libs="-L/usr/X11R6/%{_lib} -lXpm -lX11" %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
rm -f %{buildroot}%{_includedir}/zimg.h

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS COPYING NEWS TODO
%{_bindir}/zimg
%{_mandir}/man1/zimg*

%changelog
* Mon Apr 27 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Update dependencies
- Use url for source
- Remove _DATE_ and _TIME_
* Wed Mar 13 2013 pgajdos@suse.cz
- builds with automake 1.13
  * automake-1.13.patch
* Tue Jan 15 2013 toganm@opensuse.org
- remove suse-update-config
- remove INSTALL from doc
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue May  6 2008 schwab@suse.de
- Don't use libtool before it is created.
* Fri Apr 11 2008 schwab@suse.de
- Work around broken configure script.
- Use autoreconf.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 14 2005 lmichnovic@suse.cz
- update to verison 5.0.0
- Default graphical output application changed from xv to display (ImageMagick) due to licence of xv.
- Added Requires: ImageMagick.
* Mon Feb 16 2004 ltinkl@suse.cz
- update to 4.22.0
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Tue May 27 2003 ro@suse.de
- remove unpackaged files from buildroot
* Mon Feb 17 2003 tcrhak@suse.cz
- update to version 4.19.1
* Fri Apr 26 2002 tcrhak@suse.cz
- fixed to build with lib64
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Mar 21 2001 pblaha@suse.cz
- fix needfor build for freetype2
* Thu Jan 25 2001 pblaha@suse.cz
- update on lates stable 4.5.0
* Mon Dec 18 2000 pblaha@suse.cz
- create this package
